package com.yiqi.core.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothFlaw;
import com.yiqi.core.domain.vo.ClothFlawVo;

/**
 * 衣服瑕疵Service接口
 *
 * @author ruoyi
 * @date 2023-08-03
 */
public interface IClothFlawService extends IService<ClothFlaw> {


    /**
     * 查询所有衣服瑕疵
     * @return
     */
    public List<ClothFlaw> allClothFlaw();

    /**
     * 查询衣服瑕疵
     *
     * @param id 衣服瑕疵主键
     * @return 衣服瑕疵
     */
    public ClothFlawVo selectClothFlawById(Long id);

    /**
     * 查询衣服瑕疵列表
     *
     * @param clothFlaw 衣服瑕疵
     * @return 衣服瑕疵集合
     */
    public List<ClothFlawVo> selectClothFlawList(ClothFlaw clothFlaw);

    /**
     * 新增衣服瑕疵
     *
     * @param clothFlaw 衣服瑕疵
     * @return 结果
     */
    public int insertClothFlaw(ClothFlaw clothFlaw);

    /**
     * 修改衣服瑕疵
     *
     * @param clothFlaw 衣服瑕疵
     * @return 结果
     */
    public int updateClothFlaw(ClothFlaw clothFlaw);

    /**
     * 批量删除衣服瑕疵
     *
     * @param ids 需要删除的衣服瑕疵主键集合
     * @return 结果
     */
    public int deleteClothFlawByIds(Long[] ids);

    /**
     * 删除衣服瑕疵信息
     *
     * @param id 衣服瑕疵主键
     * @return 结果
     */
    public int deleteClothFlawById(Long id);

    /**
     * 修改衣服瑕疵状态
     *
     * @param clothFlaw 衣服瑕疵
     * @return 结果
     */
    public int updateFlawStatus(ClothFlaw clothFlaw);
}
